<template>
  <v-row>
    <v-col>
      <v-row v-for="button in buttons" :key="button.to" justify="center">
        <v-col sm="6">
          <v-btn
            class="d-flex"
            nuxt
            :to="button.to"
            :disabled="button.disabled"
          >
            <v-icon>mdi-{{ button.icon }}</v-icon>
            &nbsp;
            {{ button.text }}
          </v-btn>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    buttons: {
      type: Array,
      required: true,
    },
  },
})
</script>
